RDKit: RDKit::MolHolder Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolHolder Class Reference

Concrete class that holds molecules in memory. More...

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::MolHolder:

## Public Member Functions
| MolHolder ()
unsigned int | addMol (const ROMol &m) override
boost::shared_ptr< ROMol > | getMol (unsigned int idx) const override
unsigned int | size () const override
| Get the current library size.
std::vector< boost::shared_ptr< ROMol > > & | getMols ()
const std::vector< boost::shared_ptr< ROMol > > & | getMols () const
Public Member Functions inherited from RDKit::MolHolderBase
virtual | ~MolHolderBase ()

## Detailed Description

Concrete class that holds molecules in memory.

This is currently one of the faster implementations. However it is very memory intensive.

Definition at line 87 of file SubstructLibrary.h.

## Constructor & Destructor Documentation

## ◆ MolHolder()

RDKit::MolHolder::MolHolder | ( |  | ) |
| inline

Definition at line 91 of file SubstructLibrary.h.

## Member Function Documentation

## ◆ addMol()

unsigned int RDKit::MolHolder::addMol | ( | const ROMol & | m | ) |
| inlineoverridevirtual

Add a new molecule to the substructure search library Returns the molecules index in the library

Implements RDKit::MolHolderBase.

Definition at line 93 of file SubstructLibrary.h.

References size().

## ◆ getMol()

boost::shared_ptr< ROMol > RDKit::MolHolder::getMol | ( | unsigned int | idx | ) | const
| inlineoverridevirtual

Implements RDKit::MolHolderBase.

Definition at line 98 of file SubstructLibrary.h.

## ◆ getMols() [1/2]

std::vector< boost::shared_ptr< ROMol > > & RDKit::MolHolder::getMols | ( |  | ) |
| inline

Definition at line 109 of file SubstructLibrary.h.

## ◆ getMols() [2/2]

const std::vector< boost::shared_ptr< ROMol > > & RDKit::MolHolder::getMols | ( |  | ) | const
| inline

Definition at line 110 of file SubstructLibrary.h.

## ◆ size()

unsigned int RDKit::MolHolder::size | ( |  | ) | const
| inlineoverridevirtual

Get the current library size.

Implements RDKit::MolHolderBase.

Definition at line 105 of file SubstructLibrary.h.

References rdcast.

Referenced by addMol().

The documentation for this class was generated from the following file:

- SubstructLibrary.h